Skip to main content
POST
Withdraw a pending add-on removal

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string<uuid4>
required
addon_resource_id
string<uuid4>
required

Response

Successful Response

removal_withdrawn
boolean
required
commit_deferred
boolean

The change is recorded, and its Git commit waits for the cluster to sync: Git carries edits to this cluster the platform has not synced yet, and a stopped cluster syncs them, and commits this change with them, once it starts. commit_sha and commit_url are then null.

commit_sha
string | null
commit_url
string | null